function replaceAll(str, de, para){
    if (str != null)
    {
        var pos = str.indexOf(de);
        while (pos > -1) {
            str = str.replace(de, para);
            pos = str.indexOf(de);
        }
    }
    return str;
}

function getUsuarioConectado()
{
    var ret = "0";
    if (window.localStorage.getItem("pidium_idConectado") !== null)
    {
        ret = window.localStorage.getItem("pidium_idConectado");
    }
    return ret;
}

function getUsuarioDestino()
{
    var ret = window.localStorage.getItem("pidium_idDestino");
    return ret;
}

function getUrlImagem()
{
    var urlImagem = window.localStorage.getItem("pidium_urlImagemPerfil");
    urlImagem = replaceAll(urlImagem, ")", "=");  
    urlImagem = replaceAll(urlImagem, "!", "/");
    urlImagem = replaceAll(urlImagem, "*", "?");  
    urlImagem = replaceAll(urlImagem, "(", "&"); 
    urlImagem = "https://" + urlImagem;

    return urlImagem;
}

function getUrlImagemGrande()
{
    var urlImagem = window.localStorage.getItem("pidium_urlImagemPerfilGrande");
    urlImagem = replaceAll(urlImagem, ")", "=");  
    urlImagem = replaceAll(urlImagem, "!", "/");
    urlImagem = replaceAll(urlImagem, "*", "?");  
    urlImagem = replaceAll(urlImagem, "(", "&"); 
    urlImagem = "https://" + urlImagem;

    return urlImagem;
}

function getUrlImagemUsuario()
{
    var urlImagem = window.localStorage.getItem("pidium_url");
    urlImagem = replaceAll(urlImagem, ")", "=");  
    urlImagem = replaceAll(urlImagem, "!", "/");
    urlImagem = replaceAll(urlImagem, "*", "?");  
    urlImagem = replaceAll(urlImagem, "(", "&"); 
    urlImagem = "https://" + urlImagem;

    return urlImagem;
}

function getUrlImagemGrandeUsuario()
{
    var urlImagem = window.localStorage.getItem("pidium_url_grande");
    urlImagem = replaceAll(urlImagem, ")", "=");  
    urlImagem = replaceAll(urlImagem, "!", "/");
    urlImagem = replaceAll(urlImagem, "*", "?");  
    urlImagem = replaceAll(urlImagem, "(", "&"); 
    urlImagem = "https://" + urlImagem;

    return urlImagem;
}

function getNome()
{
    var ret = window.localStorage.getItem("pidium_nomeUsuario");
    return ret;
}

function getQtdeMensagem()
{
    var ret = window.localStorage.getItem("executaWebService3");
    return ret;
}

function getQtdeNotificacao()
{
    var ret = window.localStorage.getItem("executaWebService2");
    return ret;
}

function enviarfavorito()
{
    var nomeDest = window.localStorage.getItem("pidium_nomeUsuario");
    if (confirm("Quer adicionar " + nomeDest + " aos Favoritos?")) {
        var usuario = getUsuarioConectado();
        var destino = getUsuarioDestino();
        executaWebService81(usuario, destino);
    }
}

function enviarmensagem()
{
    var usuario = getUsuarioConectado();
    var destino = getUsuarioDestino();
    var nomeUsuario = getNome();
    chatUser(usuario, destino, nomeUsuario);
}

function enviarpid()
{
    var nomeDest = window.localStorage.getItem("pidium_nomeUsuario");
    if (confirm("Você enviou um Pid para " + nomeDest)) {
        var usuario = getUsuarioConectado();
        var destino = getUsuarioDestino();
        executaWebService93(usuario, destino);
    }
}