var _map = null;

    function drawMap() {
        var latlng = new google.maps.LatLng(currentLatitude, currentLongitude);
        
        var mapOptions = {
            disableDefaultUI: true,
            scaleControl: false,
            panControl: false,
            center: latlng,
            mapTypeId: google.maps.MapTypeId.ROADMAP,
            zoomControl: false,
            zoom: 18
        };                    

        _map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);

        var ponto = new google.maps.LatLng(currentLatitude, currentLongitude);

        var marker = new google.maps.Marker({
            map: _map,
            draggable: true,
            //title:'Titulo2',
            animation: google.maps.Animation.DROP,
            position: ponto,
            icon: 'images/marcador/marper32.png'
        });

        var contentString = ""; //Teste de exibicao de mensagem 1";

        var infowindow = new google.maps.InfoWindow({ content: contentString  });
 
        google.maps.event.addListener(marker, 'click', function() {infowindow.open(_map, marker);});
    }

    var currentLatitude = "0";
    var currentLongitude = "0";

    var suc = function(p) {
        if (p.coords.latitude !== undefined)
        {            
            currentLatitude = p.coords.latitude;
            currentLongitude = p.coords.longitude;
            window.localStorage.setItem("pidium_latitude", currentLatitude);
            window.localStorage.setItem("pidium_longitude", currentLongitude);
        }

        drawMap();

    };

    var fail = function(){ 
        navigator.geolocation.getCurrentPosition(suc, fail2, options2);
    
    };

    var fail2 = function(){ 
        if (window.localStorage.getItem("pidium_latitude") !== null)
        {
            currentLatitude = window.localStorage.getItem("pidium_latitude");
            currentLongitude = window.localStorage.getItem("pidium_longitude");
            drawMap();
        }
  
    };

    var options = {
        timeout: 11000,
        maximumAge: 11000,
        enableHighAccuracy: true
    };

    var options2 = {
        timeout: 15000,
        maximumAge: 11000,
        enableHighAccuracy: false   
    };

function atualizarMapa() {
    //alert("atualizarMapa");
    navigator.geolocation.getCurrentPosition(suc, fail, options);
}

function onDeviceReady() {
    //document.getElementById("map_canvas").style.height = screen.height + "px";
    
    navigator.geolocation.getCurrentPosition(suc, fail, options);
    
    
    try {
        //lock orientation
        intel.xdk.device.setRotateOrientation("portrait");
        intel.xdk.device.setAutoRotate(false);
    } catch (e) {}
    
    try {
        //manage power
        intel.xdk.device.managePower(true, false);
    } catch (e) {}
    try {
        //hide splash screen
        //intel.xdk.device.hideSplashScreen();
    } catch (e) {}

}
document.addEventListener("deviceready", onDeviceReady, false);